# Ignore local todo
**/todo.md

# Images and archives
**/*.img
**/*.zip
**/*.tar*

# Build folders
**/debug
**/release
**/build

# Vim
**/.clangd
**/.*.swp
**/Session.vim*
**/.undodir
**/.cache

# VSCode
**/.vscode

# Prerequisites
*.d

# Object files
*.o
*.ko
*.obj
*.elf

# Linker output
*.ilk
*.map
*.exp

# Precompiled Headers
*.gch
*.pch

# Libraries
*.lib
*.a
*.la
*.lo

# Shared objects (inc. Windows DLLs)
*.dll
*.so
*.so.*
*.dylib

# Executables
*.exe
*.out
*.app
*.i*86
*.x86_64
*.hex

# Debug files
*.dSYM/
*.su
*.idb
*.pdb

# Kernel Module Compile Results
*.mod*
*.cmd
.tmp_versions/
modules.order
Module.symvers
Mkfile.old
dkms.conf
